@echo off
set filename="Doctor Hauzer (English v1.2.1 Custom Music)"
set file_type=iso
set patch_file=doctor-hauzer-1.2.1-patch-custom-music.xdelta3

pushd %~dp0
if "%~1"=="" goto :NOISO

echo Doctor Hauzer English Patch v1.2.1 Custom Music
echo.

echo Patching %file_type%...
patch_data\xdelta.exe -d -f -s "%~1" patch_data\%patch_file% %filename%.%file_type%

if errorlevel 1 goto :XDELTAERR
goto :FIN

:NOISO
echo To patch %file_type% don't run this bat file.
echo Simply drag and drop %file_type% on it and the patch process will start.
goto :EXIT

:XDELTAERR
echo.
echo Something went wrong while patching files.
echo You might be trying to patch the wrong %file_type%, try using a different one.
goto :EXIT

:FIN
echo Success!
echo.
echo ---
echo The following %file_type% files were created next to the bat file:
echo * %filename%.%file_type%
echo ---
echo.
echo Load up the .%file_type% file and enjoy!
echo The game has been tested on console, so you can burn a CD-R or put it on an ODE!
echo.
echo # Filesize may be smaller than the original. This is expected due to removed padding! #
echo.
goto :EXIT

:EXIT
popd
echo Press any key to close this window
pause >nul
exit
